Redmine - Defect #6874

API should return XML description when creating a project
2010-11-12 09:32 - Grigory Petrov

Status: Closed Start date: 2010-11-12
Priority: Normal Due date:

Assignee: % Done: 0%
Category: REST API Estimated time: 1.00 hour
Target version: 1.0.4

Resolution: Fixed Affected version: 1.0.3
Description

Create issue API (POST /issues.xml) returns XML description of created issue with issue ID that can be used to modify created
issue.

Create project APl (POST /project.xml) has same syntax and behaviour but don't return anything, so APl user don't know project ID
and can't work with created project.

I'm using remote API for automating some Redmine interactions and returning project ID for "create project” API call will allow me to
do much more things with redmine.

Associated revisions

Revision 4397 - 2010-11-13 11:05 - Jean-Philippe Lang
Makes projects API return XML description when creating a project (#6874).

History

#1 - 2010-11-13 10:58 - Jean-Philippe Lang

- Subject changed from API for creating projects and issues are not consistent to APl should return XML description when creating a project
- Status changed from New to Resolved

- Target version set to 1.0.4

- Affected version (unused) changed from devel to 1.0.3

- Resolution set to Fixed

- Affected version set to 1.0.3
Fix committed in r4397.

#2 - 2010-11-14 12:23 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Backported in 1.0-stable in r4401.
